0

How can we find out which TLS version our database mail is using for sending e-mails?

We have issues with database mail (mails are sometimes not sent, even after 10 repeats), and it seems that TLS 1.1 and TLS 1.0 are not supported anymore. But how can I find out which TLS version our database server is using?

SQL Server version is 12.0.5000.0 (which is SQL 2014 SP2, it seems)

2
  • 1
    12.0.5000.0 is SQL Server 2014 SP2
    – MBuschi
    Feb 1, 2022 at 11:13
  • 2014 is out of support already, try a supported version Feb 1, 2022 at 13:07

2 Answers 2

1

If i'm right, SQL Server Database mail uses System.Net.Mail to do the work, and SQL Server 2014 database mail is built for .Net 3.5.

The System.Net.Mail is able to send mail using TLS 1.2 when the build runtime version is 4.6 or above. So SQL Server 2014 database mail should not be able to support TLS 1.2 until some CU/SP.

Maybe patching the 3.5 .NET framework would fix your issue.

MIcrosoft KB

1

SQL Server Database mail uses System.Net.Mail to do the work, and SQL Server 2014 database mail is built for .Net 3.5.

The System.Net.Mail is able to send mail using TLS 1.2 when the build runtime version is 4.6 or above. So SQL Server 2014 database mail does not support TLS 1.2.

Besides, you can try to install the .NET hotfix to enable Database Mail to use TLS 1.2.

https://support.microsoft.com/en-us/help/3154520/support-for-tls-system-default-versions-included-in-the-net-framework

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.